from .base import ApiBase


class ContainersApi(ApiBase):
    def list_containers_by_endpoint(self, endpoint):
        url = f"{self.base_url}/docker/{endpoint}/snapshot/containers"
        return self.request("GET", url).json()

    def get_container_image_status(self, endpoint, container_id):
        url = f"{self.base_url}/docker/{endpoint}/containers/{container_id}/image_status"
        return self.request("GET", url).json()
